/**
 * ParticipationAuthorOriginator.java
 *
 * File generated from the medication::ParticipationAuthorOriginator uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationAuthorOriginator.
 *
 */

@XmlType(name = "ParticipationAuthorOriginator")
@XmlEnum
@XmlRootElement(name = "ParticipationAuthorOriginator")
public enum ParticipationAuthorOriginator {
	@XmlEnumValue("AUT")
	AUT("AUT");
	
	private final String value;

    ParticipationAuthorOriginator(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationAuthorOriginator fromValue(String v) {
        for (ParticipationAuthorOriginator c: ParticipationAuthorOriginator.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}